import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { HydratedDocument } from 'mongoose';
import { Identifable } from '../identifable.schema';
import { IGroupSession } from '../../interfaces/group-session.interface';
import { WeekDay } from '../../enums/week-day.enum';
import { I18nSchema } from './i18n.embedded';
import { II18n } from '../../interfaces/i18n.interface';

@Schema()
export class GroupSession extends Identifable implements IGroupSession {
    @Prop({ type: I18nSchema, required: false })
    description: II18n;

    @Prop({ type: String, enum: WeekDay, required: true })
    day: WeekDay;

    @Prop({ type: String, required: true })
    time: string;

    @Prop({ type: String, required: true })
    timeZone: string;
}

export const GroupSessionSchema = SchemaFactory.createForClass(GroupSession);
export type GroupSessionDocument = HydratedDocument<GroupSession>;
