import { Prop, SchemaFactory } from '@nestjs/mongoose';
import { HydratedDocument, Schema as MongooseSchema, Types } from 'mongoose';
import { IIdentifable } from '../interfaces/identifable.interface';

export class Identifable implements IIdentifable {
    @Prop({ type: MongooseSchema.Types.ObjectId, default: () => new Types.ObjectId() })
    _id: Types.ObjectId;
}

export const IdentifableSchema = SchemaFactory.createForClass(Identifable);
export type IdentifableDocument = HydratedDocument<Identifable>;
