import { TransformFnParams } from 'class-transformer';
import { toStringArray, toMongoId, toMongoIdArray, toBoolean } from '../utils/helper.utils';

const stringArray = (params: TransformFnParams) => {
    return toStringArray(params.value);
};

const mongoId = (params: TransformFnParams) => {
    return toMongoId(params.value);
};

const mongoIdArray = (params: TransformFnParams) => {
    return toMongoIdArray(params.value);
};

const boolean = (params: TransformFnParams) => {
    return toBoolean(params.value);
};

const transformers = {
    stringArray,
    mongoId,
    mongoIdArray,
    boolean,
};

export { transformers };
